Program chief41;

Type
Charset = Set of Char;

function Str2Charset (S: string) = Res : Charset;
var i : Integer;
begin
  Res := [];
  for i := 1 to Length (S) do
    Include (Res, S [i])
end;

Var
c : Charset;
Begin
   c := Str2Charset ('\/:');
   if c = ['\', '/', ':'] then WriteLn ('OK') else WriteLn ('failed')
End.
